6.0.0-git
2021-01-18

[#8065] Exception Support in recurrent types
Summary Exception Support in recurrent types
Queue Synchronization
Type Enhancement
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester almarin (at) um (dot) es
Created 2009-03-10 (4332 days ago)
Due
Updated 2009-10-01 (4127 days ago)
Assigned 2009-03-10 (4332 days ago)
Resolved 2009-10-01 (4127 days ago)
Milestone 3.3.6
Patch Yes

History
2009-10-01 10:51:48 Jan Schneider Comment #2
State ⇒ Resolved
Milestone ⇒ 3.3.6
Reply to this comment
Committed, thanks!
2009-03-10 17:10:29 Jan Schneider Assigned to Jan Schneider
State ⇒ Assigned
 
2009-03-10 13:14:57 almarin (at) um (dot) es Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Exception Support in recurrent types
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ Yes
New Attachment: Sync4j.php.patch Download
Reply to this comment
I couldn't find an open ticket for this, so i open a new one.



Current Sync4j device doesn't support <Exceptions> in recurrent 
events. That makes duplicate events very often. It would be desirable 
translate Exceptions to EXDATE iCalendar fields and vice versa.



I attach a working patch to do that at least with <ExceptionDate> xml 
fields. I have addapted sif2array and array2sif to allow at least 2 
levels, because <Exceptions> could contain more than one ExceptionDate.



The patch includes the one that I attached to bug 4487












Saved Queries